import request from '@/utils/request'

// 查询品牌品类中间列表
export function listCategory_brand(query) {
  return request({
    url: '/product/category_brand/list',
    method: 'get',
    params: query
  })
}

// 查询品牌品类中间详细
export function getCategory_brand(id) {
  return request({
    url: '/product/category_brand/' + id,
    method: 'get'
  })
}

// 新增品牌品类中间
export function addCategory_brand(data) {
  return request({
    url: '/product/category_brand',
    method: 'post',
    data: data
  })
}

// 修改品牌品类中间
export function updateCategory_brand(data) {
  return request({
    url: '/product/category_brand',
    method: 'put',
    data: data
  })
}

// 删除品牌品类中间
export function delCategory_brand(id) {
  return request({
    url: '/product/category_brand/' + id,
    method: 'delete'
  })
}
